# Method: leaderboards.list

- [HTTP request](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.QUERY_PARAMETERS)
- [Request body](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.request_body)
- [Response body](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.response_body)
  - [JSON representation](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.ListLeaderboardsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#body.aspect)
- [Try it!](https://developer.android.com/games/services/web/api/rest/v1/leaderboards/list#try-it)

Lists all the leaderboard metadata for your application.

### HTTP request

`GET https://games.googleapis.com/games/v1/leaderboards`

### Query parameters

|                                                                                           Parameters                                                                                           ||
|--------------|----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| `language`   | `string` The preferred language to use for strings returned by this method.                                                                                                      |
| `maxResults` | `integer` The maximum number of leaderboards to return in the response. For any response, the actual number of leaderboards returned may be less than the specified`maxResults`. |
| `pageToken`  | `string` The token returned by the previous request.                                                                                                                             |

### Request body

The request body must be empty.

### Response body

A list of leaderboard objects.

If successful, the response body contains data with the following structure:

|                                                                         JSON representation                                                                          |
|----------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| ``` { "kind": string, "nextPageToken": string, "items": [ { object (https://developer.android.com/games/services/web/api/rest/v1/leaderboards#Leaderboard) } ] } ``` |

|                                                                        Fields                                                                        ||
|-----------------|-------------------------------------------------------------------------------------------------------------------------------------|
| `kind`          | `string` Uniquely identifies the type of this resource. Value is always the fixed string`games#leaderboardListResponse`.            |
| `nextPageToken` | `string` Token corresponding to the next page of results.                                                                           |
| `items[]`       | `object (`[Leaderboard](https://developer.android.com/games/services/web/api/rest/v1/leaderboards#Leaderboard)`)` The leaderboards. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/games`
- `
  https://www.googleapis.com/auth/games_lite`

For more information, see the[OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).